Summary: A GNU collection of diff utilities.
Name: diffutils
Version: 2.7
Release: 1.3.0
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/diffutils-%{version}.tar.gz
Source1: cmp.1
Source2: diff.1
Source3: diff3.1
Source4: sdiff.1
Patch0: diffutils-2.7-immunix-owl-tmp.patch
Copyright: GPL
Prefix: %{_prefix}
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-root

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure
make PR_PROGRAM=%{_bindir}/pr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

( cd $RPM_BUILD_ROOT
  gzip -9nf .%{_infodir}/diff*
  strip .%{__bindir}/* || :
  mkdir -p .%{_mandir}/man1
  for manpage in %{SOURCE1} %{SOURCE3} %{SOURCE4}
  do
    install -m 0644 ${manpage} .%{_mandir}/man1
  done
)

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress 

%post
if [ -f %{_infodir}/diff.info.gz ]; then
	/sbin/install-info %{_infodir}/diff.info.gz %{_infodir}/dir --entry="* diff: (diff).                 The GNU diff."
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/diff.info.gz %{_infodir}/dir --entry="* diff: (diff).                 The GNU diff."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/*
%doc %{_mandir}/man?/*
%doc %{_infodir}/diff.info*gz

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Thu Jan 12 2001 Pete O'Hara <pete@guardiandigital.com>
- added diffutils-2.7-immunix-owl-tmp.patch for sdiff 
	security fix

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- made install-info conditional on existence of *info.gz

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- add %%defattr
- use rpm macros

* Wed May 31 2000 Ngo Than <than@redhat.de>
- put man pages and info files in correct place
- cleanup specfile

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

